Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005943opensim[REGION] Physics Enginespublic2012-03-25 04:482012-03-30 16:40
ReporterSnoopy 
Assigned ToRobert Adams 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOpenSimOSUbuntuOS Versiontrunk
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0005943: Region with BulletSim crashes during startup
DescriptionWhen BulletSim is selected in OpenSim.ini, the region crashes during startup:

System.DllNotFoundException: ./libBulletSim-x86_64.so
  at (wrapper managed-to-native) OpenSim.Region.Physics.BulletSPlugin.BulletSimAPI:SetDebugLogCallback (OpenSim.Region.Physics.BulletSPlugin.BulletSimAPI/DebugLogCallback)
  at OpenSim.Region.Physics.BulletSPlugin.BSScene.Initialise (IMesher meshmerizer, IConfigSource config) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Physics.Manager.PhysicsPluginManager.GetPhysicsScene (System.String physEngineName, System.String meshEngineName, IConfigSource config, System.String regionName) [0x00000] in <filename unknown>:0
  at OpenSim.Region.ClientStack.RegionApplicationBase.GetPhysicsScene (System.String engine, System.String meshEngine, IConfigSource config, System.String osSceneIdentifier) [0x00000] in <filename unknown>:0
  at OpenSim.OpenSimBase.GetPhysicsScene (System.String osSceneIdentifier) [0x00000] in <filename unknown>:0
  at OpenSim.OpenSimBase.SetupScene (OpenSim.Framework.RegionInfo regionInfo, Int32 proxyOffset, IConfigSource configSource, IClientNetworkServer& clientServer) [0x00000] in <filename unknown>:0
  at OpenSim.OpenSimBase.CreateRegion (OpenSim.Framework.RegionInfo regionInfo, Boolean portadd_flag, Boolean do_post_init, IScene& mscene) [0x00000] in <filename unknown>:0
  at OpenSim.OpenSimBase.CreateRegion (OpenSim.Framework.RegionInfo regionInfo, Boolean portadd_flag, IScene& scene) [0x00000] in <filename unknown>:0
  at OpenSim.ApplicationPlugins.LoadRegions.LoadRegionsPlugin.PostInitialise () [0x00000] in <filename unknown>:0
  at OpenSim.OpenSimBase.StartupSpecific () [0x00000] in <filename unknown>:0
  at OpenSim.OpenSim.StartupSpecific () [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Servers.BaseOpenSimServer.Startup () [0x00000] in <filename unknown>:0
  at OpenSim.Application.Main (System.String[] args) [0x00000] in <filename unknown>:0
  at OpenSim._32BitLaunch.Program.Main (System.String[] args) [0x00000] in <filename unknown>:0

Strange is that the DLL reported as missing exists.
TagsNo tags attached.
Git Revision or version numbera07fa0395f8d476608bef91e337250fd98503873
Run Mode Grid (1 Region per Sim)
Physics EngineOther
EnvironmentMono / Linux64
Mono Version2.10
Viewer
Attached Files

- Relationships

-  Notes
(0021143)
Robert Adams (administrator)
2012-03-29 10:19

Problem was that builds for 64 bit Linux were broken. Additionally, old files were left in the bin directory. Both these were fixed by commit 41388804646c4d4b375d28db891a603cefa1c48c.
(0021144)
Robert Adams (administrator)
2012-03-29 10:20

Problem was that builds for 64 bit Linux were broken. Additionally, old files were left in the bin directory. Both these were fixed by commit 41388804646c4d4b375d28db891a603cefa1c48c.
(0021163)
Robert Adams (administrator)
2012-03-30 16:40

Problem was that builds for 64 bit Linux were broken. Additionally, old files were left in the bin directory. Both these were fixed by commit 41388804646c4d4b375d28db891a603cefa1c48c.

- Issue History
Date Modified Username Field Change
2012-03-25 04:48 Snoopy New Issue
2012-03-29 10:19 Robert Adams Note Added: 0021143
2012-03-29 10:20 Robert Adams Note Added: 0021144
2012-03-29 10:20 Robert Adams Status new => resolved
2012-03-29 10:20 Robert Adams Fixed in Version => master (dev code)
2012-03-29 10:20 Robert Adams Resolution open => fixed
2012-03-29 10:20 Robert Adams Assigned To => Robert Adams
2012-03-30 16:40 Robert Adams Note Added: 0021163
2012-03-30 16:40 Robert Adams Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker